curl --location 'https://api.flashcat.cloud/api/v1/datasource/list' \
--header 'X-User-Token: YOUR_USER_TOKEN' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhY2Nlc3NfdXVpZCI6IjM2ZTRjZjI3LWI4OWYtNDFlZS04ZDhmLWZiMjdhMmZlZGIzOSIsImF1dGhvcml6ZWQiOnRydWUsImV4cCI6MTc3NTExMTEyMywidXNlcl9pZGVudGl0eSI6IjEtcm9vdCJ9.IwPWDg92AjjvuUTGplaXgpexmOSsONx73M7Y7pOI_vE' \
--header 'Content-Type: application/json' \
--data '{
"p": 1,
"limit": 20,
"orderby": "name",
"category": "string",
"plugin_type": "string",
"status": "all",
"name": "示例名称",
"query": "keyword",
"asc": true,
"add_if_not_exist": [
1
],
"add_plugin_type": "string"
}'{
"request_id": "0ace0011649b99a4742c592762c584b0",
"error": null,
"data": {
"p": 1,
"limit": 20,
"total": 1,
"items": [
{
"id": 123,
"plugin_id": 123,
"name": "示例名称",
"identifier": "string",
"status": "all",
"category": "string",
"plugin_type": "string",
"plugin_type_name": "string",
"description": "string",
"settings": {
"key": "value"
},
"weight": 1,
"is_default": true,
"created_at": 1,
"updated_at": 1,
"last_time": 1
}
]
}
}